unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfmMain = class(TForm)
    memSource: TMemo;
    memDestination: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    btTranslateANSIToOEM: TButton;
    btTranslateOEMToANSI: TButton;
    laSource: TLabel;
    laDestination: TLabel;
    btExchange: TButton;
    procedure btTranslateANSIToOEMClick(Sender: TObject);
    procedure btTranslateOEMToANSIClick(Sender: TObject);
    procedure btExchangeClick(Sender: TObject);
  private
  public
  end;

var
  fmMain: TfmMain;

implementation

{$R *.DFM}

procedure TfmMain.btTranslateANSIToOEMClick(Sender: TObject);
var
  P: PChar;
begin
  P:=memSource.Lines.GetText;
  CharToOem(P, P);
  memDestination.Text:=StrPas(P);
end;

procedure TfmMain.btTranslateOEMToANSIClick(Sender: TObject);
var
  P: PChar;
begin
  P:=memSource.Lines.GetText;
  OemToChar(P, P);
  memDestination.Text:=StrPas(P);
end;

procedure TfmMain.btExchangeClick(Sender: TObject);
var
  sTemp: String;
begin
  sTemp:=memSource.Text;
  memSource.Text:=memDestination.Text;
  memDestination.Text:=sTemp;
end;

end.
